<?php
include('connection.php');

header('Content-Type: application/json');

if ($conn !== false) {

    $start = $_REQUEST['start'];
    $end = $_REQUEST['end'];

    if (is_numeric($start) && is_numeric($end)) {

        $srid = isset($_REQUEST['srid']) ? $_REQUEST['srid'] : 900913;

        // Should return the geometry in the "asked srid"
        $query = "???";

        $rs = pg_query($conn, $query);
        $result = pg_fetch_assoc($rs);

        if (isset($result['geometry'])) {
            // Generate a GeoJSON
            $coll = new stdClass();
            $coll->type = 'FeatureCollection';
            $coll->features = array();

            $feature = new stdClass();
            $feature->type = 'Feature';
            $feature->geometry = json_decode($result['the_geom']);
            $coll->features[] = $feature;

            echo json_encode($coll);

        } else {
            echo '{"error": "No road found.."}';
        }
    } else {
        echo '{"error": "Problem with start point id or end point id..."}';
    }
} else {
    echo '{"error": "No connexion with database..."}';
}